---
title: "Update a webhooksubscription"
description: "Fields absent from the body are left as they are.\n\n### Quire permissions\n\nRequired capability: `webhook/manage`.\n\nCredential scopes: `webhooks:write`.\n\nThe acting subject must also be allowed to perform this action in the organisation."
image: "https://docs.quirelms.com/og.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.quirelms.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Quire API › webhooks

`PATCH /webhook_subscriptions/{id}`

Fields absent from the body are left as they are.

\### Quire permissions

Required capability: `webhook/manage`.

Credential scopes: `webhooks:write`.

The acting subject must also be allowed to perform this action in the organisation.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`, scopes: `webhooks:write`
- `oauth2`, oauth2, scopes: `webhooks:write`

## Path parameters

- `updateWebhookSubscription.path.id` (string, required)

## Header parameters

- `updateWebhookSubscription.header.Quire-Version` (string, optional) — The dated API revision to serve this request at. Omitted, the request is served at the revision the credential was issued against. The response echoes the revision actually applied.
  - format `date`
- `updateWebhookSubscription.header.Idempotency-Key` (string, optional) — A caller-chosen key making this request safe to retry. A replay of a completed request returns the recorded response with `Idempotency-Replayed: true`. Reusing a key for a different request is refused.
  - maxLength 255

## Request body

_Required._

- `updateWebhookSubscription.url` (string, required) — An https endpoint. It receives a webhook.ping to verify before the subscription is enabled.
  - format `uri`; maxLength 2000
- `updateWebhookSubscription.event_types` (array<string>, required) — Event names from the public catalog, area.* for an area, or * for everything.
  - maxLength 100
- `updateWebhookSubscription.description` (any of, optional)
  - any of: `string`, `null`
- `updateWebhookSubscription.notification_emails` (array<string>, optional)
  - format `email`; pattern `^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$`
- `updateWebhookSubscription.rate_limit_per_minute` (integer, optional)
  - min 1; max 6000
- `updateWebhookSubscription.filters` (any of, optional)
  - any of: `map<unknown>`, `null`

## Example request

```json
{
  "url": "http://example.com",
  "event_types": [
    "string"
  ],
  "description": "string",
  "notification_emails": [
    "user@example.com"
  ],
  "rate_limit_per_minute": 1,
  "filters": {
    "property1": null,
    "property2": null
  }
}
```

## Code samples

### cURL

```curl
curl --request PATCH \
  --url https://your-organisation.quirelms.com/api/v1/webhook_subscriptions/string \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "http://example.com",
  "event_types": [
    "string"
  ],
  "description": "string",
  "notification_emails": [
    "user@example.com"
  ],
  "rate_limit_per_minute": 1,
  "filters": {
    "property1": null,
    "property2": null
  }
}
'
```

### TypeScript

```typescript
const url = 'https://your-organisation.quirelms.com/api/v1/webhook_subscriptions/string';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({
    url: 'http://example.com',
    event_types: ['string'],
    description: 'string',
    notification_emails: ['user@example.com'],
    rate_limit_per_minute: 1,
    filters: {property1: null, property2: null}
  })
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://your-organisation.quirelms.com/api/v1/webhook_subscriptions/string"

payload = {
    "url": "http://example.com",
    "event_types": ["string"],
    "description": "string",
    "notification_emails": ["user@example.com"],
    "rate_limit_per_minute": 1,
    "filters": {
        "property1": None,
        "property2": None
    }
}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Success.

#### Example

```json
{
  "id": "string",
  "external_id": "string",
  "url": "string",
  "event_types": [
    "string"
  ],
  "filters": {},
  "description": "string",
  "status": "enabled",
  "notification_emails": [
    "string"
  ],
  "rate_limit_per_minute": -9007199254740991,
  "payload_version": -9007199254740991,
  "verified_at": "string",
  "consecutive_failures": -9007199254740991,
  "last_success_at": "string",
  "disabled_reason": "string",
  "created_at": "string",
  "updated_at": "string"
}
```

- `updateWebhookSubscription.response.200.id` (string, required)
- `updateWebhookSubscription.response.200.external_id` (string | null, required)
- `updateWebhookSubscription.response.200.url` (string, required)
- `updateWebhookSubscription.response.200.event_types` (array<string>, required)
- `updateWebhookSubscription.response.200.filters` (any of, required)
  - any of: `Option 1`, `null`
- `updateWebhookSubscription.response.200.description` (string | null, required)
- `updateWebhookSubscription.response.200.status` (string, required)
  - one of `"enabled"`, `"disabled"`, `"auto_disabled"`
- `updateWebhookSubscription.response.200.notification_emails` (array<string>, required)
- `updateWebhookSubscription.response.200.rate_limit_per_minute` (integer, required)
  - min -9007199254740991; max 9007199254740991
- `updateWebhookSubscription.response.200.payload_version` (integer, required)
  - min -9007199254740991; max 9007199254740991
- `updateWebhookSubscription.response.200.verified_at` (any of, required)
  - any of: `string`, `null`
- `updateWebhookSubscription.response.200.consecutive_failures` (integer, required)
  - min -9007199254740991; max 9007199254740991
- `updateWebhookSubscription.response.200.last_success_at` (any of, required)
  - any of: `string`, `null`
- `updateWebhookSubscription.response.200.disabled_reason` (string | null, required)
- `updateWebhookSubscription.response.200.created_at` (string, required) — RFC 3339 timestamp in UTC.
- `updateWebhookSubscription.response.200.updated_at` (string, required) — RFC 3339 timestamp in UTC.

### 401

The credential is missing, malformed, expired or revoked.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `updateWebhookSubscription.response.401.type` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.401.title` (string, required)
- `updateWebhookSubscription.response.401.status` (integer, required)
- `updateWebhookSubscription.response.401.code` (string, required)
- `updateWebhookSubscription.response.401.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `updateWebhookSubscription.response.401.detail` (string, required)
- `updateWebhookSubscription.response.401.request_id` (string, required)
- `updateWebhookSubscription.response.401.docs_url` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.401.errors` (array<object>, optional)
  - `updateWebhookSubscription.response.401.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `updateWebhookSubscription.response.401.errors.code` (string, required)
  - `updateWebhookSubscription.response.401.errors.detail` (string, required)
- `updateWebhookSubscription.response.401.retry_after` (integer | null, optional)

### 403

The credential lacks the scope this operation requires, or the acting subject lacks the capability.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `updateWebhookSubscription.response.403.type` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.403.title` (string, required)
- `updateWebhookSubscription.response.403.status` (integer, required)
- `updateWebhookSubscription.response.403.code` (string, required)
- `updateWebhookSubscription.response.403.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `updateWebhookSubscription.response.403.detail` (string, required)
- `updateWebhookSubscription.response.403.request_id` (string, required)
- `updateWebhookSubscription.response.403.docs_url` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.403.errors` (array<object>, optional)
  - `updateWebhookSubscription.response.403.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `updateWebhookSubscription.response.403.errors.code` (string, required)
  - `updateWebhookSubscription.response.403.errors.detail` (string, required)
- `updateWebhookSubscription.response.403.retry_after` (integer | null, optional)

### 404

No such resource, or none this credential is permitted to know about.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `updateWebhookSubscription.response.404.type` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.404.title` (string, required)
- `updateWebhookSubscription.response.404.status` (integer, required)
- `updateWebhookSubscription.response.404.code` (string, required)
- `updateWebhookSubscription.response.404.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `updateWebhookSubscription.response.404.detail` (string, required)
- `updateWebhookSubscription.response.404.request_id` (string, required)
- `updateWebhookSubscription.response.404.docs_url` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.404.errors` (array<object>, optional)
  - `updateWebhookSubscription.response.404.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `updateWebhookSubscription.response.404.errors.code` (string, required)
  - `updateWebhookSubscription.response.404.errors.detail` (string, required)
- `updateWebhookSubscription.response.404.retry_after` (integer | null, optional)

### 409

The request conflicts with the current state, with a previous use of the same idempotency key, or with a concurrent write.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `updateWebhookSubscription.response.409.type` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.409.title` (string, required)
- `updateWebhookSubscription.response.409.status` (integer, required)
- `updateWebhookSubscription.response.409.code` (string, required)
- `updateWebhookSubscription.response.409.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `updateWebhookSubscription.response.409.detail` (string, required)
- `updateWebhookSubscription.response.409.request_id` (string, required)
- `updateWebhookSubscription.response.409.docs_url` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.409.errors` (array<object>, optional)
  - `updateWebhookSubscription.response.409.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `updateWebhookSubscription.response.409.errors.code` (string, required)
  - `updateWebhookSubscription.response.409.errors.detail` (string, required)
- `updateWebhookSubscription.response.409.retry_after` (integer | null, optional)

### 422

The request was understood and its content is not valid. `errors` names each field.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `updateWebhookSubscription.response.422.type` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.422.title` (string, required)
- `updateWebhookSubscription.response.422.status` (integer, required)
- `updateWebhookSubscription.response.422.code` (string, required)
- `updateWebhookSubscription.response.422.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `updateWebhookSubscription.response.422.detail` (string, required)
- `updateWebhookSubscription.response.422.request_id` (string, required)
- `updateWebhookSubscription.response.422.docs_url` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.422.errors` (array<object>, optional)
  - `updateWebhookSubscription.response.422.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `updateWebhookSubscription.response.422.errors.code` (string, required)
  - `updateWebhookSubscription.response.422.errors.detail` (string, required)
- `updateWebhookSubscription.response.422.retry_after` (integer | null, optional)

### 429

A rate limit or a concurrency cap was reached. `Retry-After` says when to try again.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `updateWebhookSubscription.response.429.type` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.429.title` (string, required)
- `updateWebhookSubscription.response.429.status` (integer, required)
- `updateWebhookSubscription.response.429.code` (string, required)
- `updateWebhookSubscription.response.429.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `updateWebhookSubscription.response.429.detail` (string, required)
- `updateWebhookSubscription.response.429.request_id` (string, required)
- `updateWebhookSubscription.response.429.docs_url` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.429.errors` (array<object>, optional)
  - `updateWebhookSubscription.response.429.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `updateWebhookSubscription.response.429.errors.code` (string, required)
  - `updateWebhookSubscription.response.429.errors.detail` (string, required)
- `updateWebhookSubscription.response.429.retry_after` (integer | null, optional)

### 500

Something failed at our end. Quote `request_id` when reporting it.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "code": "string",
  "category": "validation",
  "detail": "string",
  "request_id": "string",
  "errors": [
    {
      "path": "string",
      "code": "string",
      "detail": "string"
    }
  ],
  "retry_after": 0,
  "docs_url": "http://example.com"
}
```

- `updateWebhookSubscription.response.500.type` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.500.title` (string, required)
- `updateWebhookSubscription.response.500.status` (integer, required)
- `updateWebhookSubscription.response.500.code` (string, required)
- `updateWebhookSubscription.response.500.category` (string, required)
  - one of `"validation"`, `"authentication"`, `"authorization"`, `"not_found"`, `"conflict"`, `"precondition"`, `"quota"`, `"rate_limit"`, `"upstream"`, `"internal"`
- `updateWebhookSubscription.response.500.detail` (string, required)
- `updateWebhookSubscription.response.500.request_id` (string, required)
- `updateWebhookSubscription.response.500.docs_url` (string, required)
  - format `uri`
- `updateWebhookSubscription.response.500.errors` (array<object>, optional)
  - `updateWebhookSubscription.response.500.errors.path` (string, required) — RFC 6901 JSON Pointer into the request body.
  - `updateWebhookSubscription.response.500.errors.code` (string, required)
  - `updateWebhookSubscription.response.500.errors.detail` (string, required)
- `updateWebhookSubscription.response.500.retry_after` (integer | null, optional)


Source: https://docs.quirelms.com/api/webhooks/updateWebhookSubscription/index.md
